apiVersion: v1
kind: Secret
metadata:
  name: {{ include "mychart.secretName" . }}
  labels:
    {{- nindent 4 (include "mychart.labels" .) }}
    {{- with .Values.customLabels }}
    {{- nindent 4 . }}
    {{- end }}
type: Opaque
data:
  {{- with .Values }}
  {{- block "envSecrets" . }}
  {{- with .oracle }}
  {{- with .fulfillmentManagerHeartbeatAuthKey }}
  fulfillmentManagerHeartbeatAuthKey: {{ b64enc . }}
  {{- end }}
  {{- with .fulfillmentManagerKey }}
  fulfillmentManagerKey: {{ b64enc . }}
  {{- end }}
  {{- with .key }}
  oracleKey: {{ b64enc . }}
  {{- end }}
  {{- with .pagerdutyEventKey }}
  pagerdutyEventKey: {{ b64enc . }}
  {{- end }}
  {{- end }}
  {{- $solanaRpcUrl := "https://api.devnet.solana.com" }}
  {{- with .solana }}
  {{- $solanaRpcUrl := default $solanaRpcUrl .rpcUrl }}
  {{- with .rpcMainnetBackupUrl }}
  backupMainnetRpc: {{ b64enc . }}
  {{- end }}
  {{- with .secretIndex }}
  secretIdx: {{ b64enc . }}
  {{- end }}
  {{- end }}
  rpcUrl: {{ b64enc $solanaRpcUrl }}
  {{- end }}
  {{- with .googleCloud }}
  {{ ($.Files.Glob .serviceAccountKeyFile).AsSecrets }}
  {{- end }}
  {{- with .solana }}
  {{- with .keypairFile }}
  {{ ($.Files.Glob .).AsSecrets }}
  {{- end }}
  {{- end }}
  {{- end }}
